Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 211714 - Review Request: perl-POE-XS-Queue-Array - C extension speeds perl-POE
Summary: Review Request: perl-POE-XS-Queue-Array - C extension speeds perl-POE
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-10-21 01:38 UTC by Al Pacifico
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-02 01:35:30 UTC


Attachments (Terms of Use)

Description Al Pacifico 2006-10-21 01:38:58 UTC
Spec URL: http://www.drizzle.com/~pacifico/perl-POE-XS-Queue-Array.spec
SRPM URL: http://www.drizzle.com/~pacifico/perl-POE-XS-Queue-Array-0.003-1.src.rpm
Description: This class implements a priority queue using C, with an XS interface supplied.

Priority queues are basically lists of arbitrary things that allow items to
be inserted arbitrarily but that return them in a particular order. The order
they are returned in is determined by each item's priority.

Priorities may represent anything, as long as they are numbers and represent
an order from smallest to largest. Items with the same priority are entered
into a queue in FIFO order. That is, items at the same priority are dequeued
in the order they achieved a that priority.

POE uses priority queues to store and sequence its events. Queue items are
events, and their priorities are the UNIX epoch times they are due.

N.B.: This is my first package submission and I am looking for a sponsor.

Comment 1 Chris Weyl 2006-10-24 19:12:03 UTC
Your three packages look clean and to follow guidelines; based on this and our
off-bz emails I'll be happy to sponsor you in extras.

Formal reviews to follow.

Comment 2 Chris Weyl 2006-10-25 03:47:05 UTC
There are redundant requires: lines in the spec.  This causes one require to
be duplicated, and in any case the dependency is correctly picked up by rpm's
auto prov/deps scripts.  The requires: lines should be dropped.

The %files section has a line:
  %{perl_vendorarch}/POE/XS/Queue/Array.pm

This should be changed to %{perl_vendorarch}/POE, otherwise the package will
not own the directories under Array.pm correctly.  Changing it to that will
cause it to own POE/, POE/XS/, etc, etc...

This one isn't a blocker, but I notice the presence of two benchmarking
scripts in the package (bench[12].perl).  I usually try to include things like
this in %doc, as it may be useful to someone down the road.  Note that if you
do include these, you'll need to replace the #! line in bench2.perl so rpmlint
doesn't complain, e.g. via something like:
    perl -pi -e 's|^#!perl|#!/usr/bin/perl|m' bench2.perl

Drop the requires, modify the line in %files, and optionally add the
benchmarking scripts and the package is approved.

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible. (GPL or Artistic) License text not included
upstream.
+ source files match upstream:
 06b39e893148b2b52ef408809104949e  POE-XS-Queue-Array-0.003.tar.gz
 06b39e893148b2b52ef408809104949e  POE-XS-Queue-Array-0.003.tar.gz.srpm
+ latest version is being packaged.
+ BuildRequires are proper.
 package builds in mock ( ).
+ rpmlint is silent.
O final provides and requires are sane:
 ** perl-POE-XS-Queue-Array-0.003-1.fc5.x86_64.rpm
 == rpmlint
 == provides
 Array.so()(64bit)
 perl(POE::XS::Queue::Array) = 0.003
 perl-POE-XS-Queue-Array = 0.003-1.fc5
 == requires
 perl(:MODULE_COMPAT_5.8.8)
X perl(POE::Queue)
X perl(POE::Queue)
X perl(POE::Queue::Array)
 perl(strict)
 perl(vars)
 ** perl-POE-XS-Queue-Array-debuginfo-0.003-1.fc5.x86_64.rpm
 == rpmlint
 == provides
 Array.so.debug()(64bit)
 perl-POE-XS-Queue-Array-debuginfo = 0.003-1.fc5
 == requires
+ no system shared libraries are present.
+ package is not relocatable.
X owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ %clean is present.
+ %check is present and all tests pass:
All tests successful.
Files=2, Tests=2084,  1 wallclock secs ( 0.35 cusr +  0.06 csys =  0.41 CPU)
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.
+ not a web app.


Comment 3 Jason Tibbitts 2007-05-06 18:12:46 UTC
Anything going on here?

Comment 4 Jason Tibbitts 2007-05-25 05:04:04 UTC
It seems not.  I'll close this ticket if there is no response soon.


Note You need to log in before you can comment on or make changes to this bug.